/* Control pipe:
 * Send codes to the control pipe to control the plugin itself
 * Ben Lynn
 */
/*
Copyright (C) 2002 Benjamin Lynn (blynn@cs.stanford.edu)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#define C_QUIT "Q"
#define C_RELOAD "R"

#include <unistd.h>

#include "control.h"

int controlpipe[2];

int is_controlpipe = 0;

void control_init()
{
    //assert(!is_controlpipe);
    if (!pipe(controlpipe)) is_controlpipe = 1;
}

void control_request(char *s)
{
    //assert(is_controlpipe);
    write(controlpipe[1], s, 1);
}

void control_free()
{
    if (is_controlpipe) {
	close(controlpipe[0]);
	close(controlpipe[1]);
    }
}
